Skip to content

Örnek İstek & Yanıt ​

3DS Complete Payment (İşlem Tamamlama) işlemi için, istek ve yanıt örneğini aşağıda bulabilirsiniz.

Endpoint ​

POST /api/ThreeD/Complete3DSPayment

İstek Gövdesi (Request Body) ​

http
POST/api/ThreeD/Complete3DSPayment
Headers:  
  x_client_token: your_client_token_here  
  x_nonce: bd992e36-7069-4d55-9d73-7c1ec6585652
  x_timestamp: 20251230145732
  x_signature: generated_signature_hash
  Content-Type: application/json

{
    "processId": "7ab36afd-7bc4-4631-bc7f-4a05aafb8944",
    "orderId": "6e7918b7-793e-4e03-bcb9-7b2d3cb3c8c7",
    "lang": "TR"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "requestType": "3DS",
        "processId": "7ab36afd-7bc4-4631-bc7f-4a05aafb8944",
        "orderId": "6e7918b7-793e-4e03-bcb9-7b2d3cb3c8c7",
        "resultMessage": "Approved. ",
        "resultCode": "",
        "procReturnCode": "00",
        "authCode": "641131",
        "secureType": "3DS",
        "txnType": "Sale",
        "cardMask": "49209500evrwia41",
        "amount": 1200,
        "pointAmount": 0,
        "installmentCount": 1,
        "merchantId": "000000001002585",
        "terminalId": "VP003636",
        "batchNo": 55146,
        "processDate": "2025-12-30T14:57:32.4160241",
        "rrn": "525918008501",
        "additionalInfo": "no: 123456789",
        "invoiceInfo": "test deneme",
        "ecommerceTxnType": 0,
        "txnInitiationType": 0
    }
}